//Hobby Electronics - Arduino TV Volume Control
//http://www.mrhobbytronics.com/arduino-tv-volume-control/

#include <IRremote.h>
IRsend irsend;

#define volumeUp 17
#define volumeDown 18

int val;
int encoder0PinA = 6;
int encoder0PinB = 7;
int encoder0Pos = 0;
int encoder0PinALast = LOW;
int n = LOW;

static int cero=0;
long unsigned int irCode;

int cmdReceived;

void setup(){
  Serial.begin(9600);
  pinMode (encoder0PinA, INPUT);
  pinMode (encoder0PinB, INPUT);
}

void loop(){
   n = digitalRead(encoder0PinA);
  if ((encoder0PinALast == LOW) && (n == HIGH)) {
    if (digitalRead(encoder0PinB) == LOW) {
      encoder0Pos--;
      irsend.sendNEC(0x20DF40BF,32);
      Serial.println ("volume up");
    } else {
      irsend.sendNEC(0x20DFC03F,32);
      Serial.println ("volume down");
      encoder0Pos++;
    }
    Serial.println (encoder0Pos);
  }
  encoder0PinALast = n;
}
